      SUBROUTINE show_label(site,np,L,properlabel)
      IMPLICIT NONE
      INTEGER IR_, L, label, x, y, site(0:64,0:64), np(0:1000), proper
      CHARACTER properlabel*(*), Stmp1_*80
      DO y = 1, L
         DO x = 1, L
            label = site(x,y)
            IF(label .GT. 0) THEN
               IF(properlabel .EQ. 'yes') label = proper(np,label)
               WRITE(Stmp1_, *) label
               CALL GWputtxt(IR_, REAL(x), REAL(y), Stmp1_)
            END IF
         END DO
      END DO
      END
